Loading...
Searching...
No Matches
month.h File Reference

Go to the source code of this file.

## Classes

class | etl::chrono::month
| month More...

## Namespaces

namespace | etl

## Functions

ETL_CONSTEXPR14 etl::chrono::month | etl::chrono::operator+ (const etl::chrono::month &m, const etl::chrono::months &ms) ETL_NOEXCEPT
| Spaceship operator.
ETL_CONSTEXPR14 etl::chrono::month | etl::chrono::operator+ (const etl::chrono::months &ms, const etl::chrono::month &m) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::month | etl::chrono::operator- (const etl::chrono::month &m, const etl::chrono::months &ms) ETL_NOEXCEPT
ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::month &d1, const etl::chrono::month &d2) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::month &d1, const etl::chrono::month &d2) ETL_NOEXCEPT
| Inequality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator< (const etl::chrono::month &d1, const etl::chrono::month &d2) ETL_NOEXCEPT
| Less-than operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator<= (const etl::chrono::month &d1, const etl::chrono::month &d2) ETL_NOEXCEPT
| Less-than-or-equal operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator> (const etl::chrono::month &d1, const etl::chrono::month &d2) ETL_NOEXCEPT
| Greater-than operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator>= (const etl::chrono::month &d1, const etl::chrono::month &d2) ETL_NOEXCEPT
| Greater-than-or-equal operator.
ETL_CONSTEXPR14 etl::chrono::months | etl::chrono::operator- (const etl::chrono::month &m1, const etl::chrono::month &m2) ETL_NOEXCEPT

## Function Documentation

## operator+() [1/2]

ETL_CONSTEXPR14 etl::chrono::month etl::chrono::operator+ | ( | const etl::chrono::month & | m,
|  | const etl::chrono::months & | ms )

inline

Spaceship operator.

Add etl::chrono::months to etl::chrono::month

Returns
  etl::chrono::month

## operator+() [2/2]

ETL_CONSTEXPR14 etl::chrono::month etl::chrono::operator+ | ( | const etl::chrono::months & | ms,
|  | const etl::chrono::month & | m )

inline

Add etl::chrono::month to etl::chrono::months

Returns
  etl::chrono::month

## operator-() [1/2]

ETL_CONSTEXPR14 etl::chrono::month etl::chrono::operator- | ( | const etl::chrono::month & | m,
|  | const etl::chrono::months & | ms )

inline

Subtract etl::chrono::months from etl::chrono::month

Returns
  etl::chrono::month

## operator-() [2/2]

ETL_CONSTEXPR14 etl::chrono::months etl::chrono::operator- | ( | const etl::chrono::month & | m1,
|  | const etl::chrono::month & | m2 )

inline

Subtract etl::chrono::month from etl::chrono::month

Returns
  etl::chrono::months